﻿<%@ Assembly Name="$SharePoint.Project.AssemblyFullName$" %>
<%@ Assembly Name="Microsoft.Web.CommandUI, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Register Tagprefix="SharePoint" Namespace="Microsoft.SharePoint.WebControls" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %> 
<%@ Register Tagprefix="Utilities" Namespace="Microsoft.SharePoint.Utilities" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Register Tagprefix="asp" Namespace="System.Web.UI" Assembly="System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" %>
<%@ Import Namespace="Microsoft.SharePoint" %> 
<%@ Register Tagprefix="WebPartPages" Namespace="Microsoft.SharePoint.WebPartPages" Assembly="Microsoft.SharePoint, Version=14.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c" %>
<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="BulkRunUserControl.ascx.cs" Inherits="TechAmit.SharePoint.LogicalFieldUpdate.BulkRun.BulkRunUserControl" %>
<asp:PlaceHolder ID="phMsg" runat="server" />

<asp:Panel ID="pnlBulkRun" runat="server">
<div>
<img style="cursor:pointer;" src="/_layouts/images/HELPICON.gif" alt="Help" title="Click to show or hide help" onclick="javascript:(function(){var el = document.getElementById('divLogicalFieldUpdateHelp');if(el.style.display == '') {el.style.display='none';} else {el.style.display='';}})();" />
</div>
<div id="divLogicalFieldUpdateHelp" style="display:none";>
<p>If list name is not in &quot;Target List&quot;, please make sure you have defined some 
    condition in list 
    <asp:HyperLink ID="hlLogicalList" runat="server" Target="_blank" /> and at least one condition is marked as &quot;Active&quot;.</p>
</div>
<table>
    <tr>
        <th style="text-align:left">Target List<span style="color:Red;">*</span></th>
        <td>
            <asp:DropDownList ID="ddlTargetList" runat="server" AutoPostBack="True" 
                onselectedindexchanged="ddlTargetList_SelectedIndexChanged"/>
        </td>

    </tr>
    <tr>
        <th style="text-align:left">
            View<span style="color:Red;">*</span>
        </th>
        <td>
            <asp:DropDownList ID="ddlTargetListView" runat="server"/>
        </td>
    </tr>
    <tr>
        <th style="text-align:left">Update type<span style="color:Red;">*</span></th>
        <td>
            <asp:DropDownList ID="ddlUpdateType" runat="server" >
                <asp:ListItem></asp:ListItem>
                <asp:ListItem Value="CurrentUser">Update by me</asp:ListItem>
                <asp:ListItem Value="System">System Update (Overwrite current version)</asp:ListItem>
                <asp:ListItem Value="OverwriteVersion">Overwrite version</asp:ListItem>
            </asp:DropDownList>
        </td>
    </tr>
    <tr>
        <td colspan="2">
            If update is success, mark
            <asp:DropDownList ID="ddlSuccessFlag" runat="server"/>
            field True/Yes.<br />
            <em>Only boolean (Yes/No) field type is supported.</em>
            </td>
    </tr>
    <tr>
        <th style="text-align:left">
            <asp:LinkButton ID="btnRun" Text="Run" 
                OnClientClick="return confirm('Are you sure?');" runat="server" 
                onclick="btnRun_Click" />            
        </th>
        <td>

        </td>
    </tr>



</table>
</asp:Panel>

